%global dbver_snap 20210611

Summary: Database of printers and printer drivers
Name: foomatic-db
Version: 4.0
Release: 4.%{dbver_snap}%{?dist}
License: GPLv2+
Url: http://www.openprinting.org
Source0: http://www.openprinting.org/download/foomatic/foomatic-db-%{version}-%{dbver_snap}.tar.gz
Patch3000: foomatic-db-device-ids.patch
Patch3001: foomatic-db-invalid.patch

BuildRequires: make
BuildRequires: python3-cups cups
BuildRequires: perl-interpreter sed
Requires: %{name}-filesystem = %{version}-%{release}
Requires: %{name}-ppds = %{version}-%{release}

BuildArch: noarch

%description
The database Foomatic contains of printers, printer drivers, and driver options.

%package filesystem
Summary: Directory layout for the foomatic package
License: Public Domain

%description filesystem
This package provides directory layout for the foomatic package.

%package ppds
Summary: PPDs from printer manufacturers
License: GPLv2+ and MIT
BuildRequires: cups
Requires: cups
Requires: sed
Requires: %{name}-filesystem = %{version}-%{release}

%description ppds
This package provides PPDs from printer manufacturers.

%prep
%autosetup -p1 -n foomatic-db-%{dbver_snap}

find -type d | xargs chmod g-s

pushd db/source

# gutenprint printers use gutenprint-ijs-simplified.5.2.
for i in printer/*.xml
do
  perl -pi -e 's,>gutenprint<,>gutenprint-ijs-simplified.5.2<,' $i
done

find printer -name '*.xml' |xargs grep -l "<driver>splix"|xargs rm -vf
rm -f driver/splix.xml

for x in zjs zjs-z1 zjs-z2 zjs-z3 oak oak-z1 hp qpdl lava kyo xqx slx hiperc hiperc-z1 hbpl2
do
  find printer -name '*.xml' |xargs grep -l "<driver>foo2${x}"|xargs rm -vf
  rm -f driver/foo2${x}.xml opt/foo2${x}-*
done

for x in lm1100 pentaxpj pbm2l2030 pbm2l7k lex5700 lex7000 c2050 c2070 cjet
do
  find printer -name '*.xml' |xargs grep -l "<driver>${x}</driver>"|xargs rm -vf
  rm -vf driver/${x}.xml opt/${x}-*
done

for x in drv_x125 ml85p pbm2lwxl pbmtozjs bjc800j m2300w m2400w
do
  find printer -name '*.xml' |xargs grep -l "<driver>${x}</driver>"|xargs rm -vf
  rm -vf driver/${x}.xml opt/${x}-*
done

find printer -name '*.xml' |grep -E 'Samsung-CLP-610|Samsung-CLP-620'|xargs rm -vf

find printer -name '*.xml' |grep -E 'KONICA_MINOLTA-magicolor_2430_DL'|xargs rm -vf

rm -vf driver/ptouch.xml
rm -vf printer/Brother-PT-*.xml
rm -vf printer/Brother-QL-*.xml
rm -vf opt/Brother-Ptouch-*.xml

popd

find db/source/PPD -type f -name '*.ppd' -exec sed -i 's,perl -p,sed,g' {} +

%build
%configure
%make_build

%install
%make_install

rm -f %{buildroot}%{_datadir}/foomatic/db/source/driver/{bjc6000a1,PM760p,PM820p,s400a1,sharp,Stc670pl,Stc670p,Stc680p,Stc760p,Stc777p,Stp720p,Stp870p}.upp.xml

find %{buildroot}%{_datadir}/foomatic/db/source/ -type f | xargs chmod 0644

mkdir %{buildroot}%{_datadir}/foomatic/db/source/PPD/Custom

rm -f	%{buildroot}%{_datadir}/foomatic/db/source/PPD/Kyocera/*.htm \
	%{buildroot}%{_datadir}/cups/model/3-distribution

rm -f %{buildroot}%{_datadir}/cups/model/foomatic-db-ppds
ln -sf ../../foomatic/db/source/PPD %{buildroot}%{_datadir}/cups/model/foomatic-db-ppds

%files filesystem
%dir %{_datadir}/foomatic/
%dir %{_datadir}/foomatic/db/
%dir %{_datadir}/foomatic/db/source/
%dir %{_datadir}/foomatic/db/source/driver/
%dir %{_datadir}/foomatic/db/source/opt/
%dir %{_datadir}/foomatic/db/source/printer/
%dir %{_datadir}/foomatic/db/source/PPD/

%files
%doc db/source/PPD/Kyocera/*.htm README
%{_datadir}/foomatic/db/oldprinterids
%{_datadir}/foomatic/db/source/printer/*
%{_datadir}/foomatic/db/source/driver/*
%{_datadir}/foomatic/db/source/opt/*
%{_datadir}/foomatic/xmlschema

%files ppds
%license COPYING
%{_datadir}/foomatic/db/source/PPD/*
%{_datadir}/cups/model/foomatic-db-ppds

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0-4.20210611
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0-3.20210611
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0-2.20210611
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 16 2022 Wang Guodong <gordonwwang@tencent.com> - 4.0-1
- package init.
